5.2.0-git
04/17/2014

[#8784] Sieve filter updates to features
Summary Sieve filter updates to features
Queue Ingo
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester ricardo (at) wenn (dot) com
Created 12/17/2009 (1582 days ago)
Due
Updated 04/15/2014 (2 days ago)
Assigned
Resolved 04/14/2014 (3 days ago)
Milestone
Patch No

History
04/15/2014 07:17:24 AM Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 770646adad052fe56f0fce8c8836abfc41c96c94
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 14 20:03:30 2014 -0600

     Use server defined notification message for enotify (Request #8784)

  ingo/lib/Script/Sieve/Action/Notify.php |   18 +++++++++++-------
  1 files changed, 11 insertions(+), 7 deletions(-)

http://github.com/horde/horde/commit/770646adad052fe56f0fce8c8836abfc41c96c94
04/15/2014 12:03:45 AM manuel-horde (at) mausz (dot) at Comment #10 Reply to this comment
Thanks for the quick fixes Michael, however the enotify fix won't 
work. In particular the variables in the :message-tag won't work that 
way.

You can find examples with working subject/from variables in the RFC 
section 3.7: https://tools.ietf.org/html/rfc5435#page-6 (example 1)

Also note that the RFC recommends to include the from + subject 
headers by default (section 3.6). That's why my patch just removes it. 
Afaik Dovecot just includes the subject.
04/14/2014 11:50:27 PM Michael Slusarz Comment #9
Version ⇒ Git master
State ⇒ Resolved
Assigned to Michael Slusarz
Reply to this comment
Ingo 3.2.0
04/14/2014 11:50:19 PM Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit f02779988d2e0bae25286b62f0440071389837c2
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 14 17:49:34 2014 -0600

     [mms] Use standardized 'enotify' sieve extension (RFC 5435) by 
default instead of deprecated 'notify' extension (Request #8784).

  ingo/config/backends.php                |    4 ++++
  ingo/docs/CHANGES                       |    2 ++
  ingo/docs/UPGRADING                     |    8 ++++++--
  ingo/lib/Script/Sieve.php               |    6 +++++-
  ingo/lib/Script/Sieve/Action/Notify.php |   26 +++++++++++++++++++-------
  ingo/package.xml                        |    1 +
  6 files changed, 37 insertions(+), 10 deletions(-)

http://github.com/horde/horde/commit/f02779988d2e0bae25286b62f0440071389837c2
04/14/2014 11:50:13 PM Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 199448a47e4be0f41a3c36db006a59d92ec8e872
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 14 17:28:51 2014 -0600

     [mms] Use standardized 'imap4flags' sieve extension (RFC 5232) by 
default instead of deprecated 'imapflags' extension (Request #8784).

  ingo/config/backends.php              |    5 ++
  ingo/docs/CHANGES                     |    2 +
  ingo/docs/UPGRADING                   |    8 ++++
  ingo/lib/Script/Sieve.php             |   57 ++++++++++++++++++++-----
  ingo/lib/Script/Sieve/Action/Flag.php |   72 
+++++++++++++++++----------------
  ingo/package.xml                      |    1 +
  ingo/test/Ingo/Unit/SieveTest.php     |    2 +-
  7 files changed, 99 insertions(+), 48 deletions(-)

http://github.com/horde/horde/commit/199448a47e4be0f41a3c36db006a59d92ec8e872
04/14/2014 03:22:28 PM manuel-horde (at) mausz (dot) at Comment #6 Reply to this comment
For those having issues with notify => enotify here's a simple fix:

[Show Quoted Text - 26 lines]
10/17/2011 01:58:48 PM vilius (at) lnk (dot) lt Comment #5 Reply to this comment
This should be per-driver level. Because at least Cyrus doesn't 
support imap4flags as far as I know.
07/05/2011 05:16:54 PM software-horde (at) interfasys (dot) ch Comment #4 Reply to this comment
+1 for this to be finally changed in Horde 4
12/21/2009 10:38:17 PM Jan Schneider State ⇒ Accepted
 
12/18/2009 03:07:59 PM ricardo (at) wenn (dot) com Comment #3 Reply to this comment
Why? The quote that you pasted explicitly says that the imapflags 
extension is supported for backward compatibility.
This is an old standard, it may not be fully supported in the future.

This is a heads up to mabey consider it as a toggle for servers that 
do/dont support for if/when its removed.

http://tools.ietf.org/html/rfc5232
12/18/2009 12:30:26 PM Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Why? The quote that you pasted explicitly says that the imapflags 
extension is supported for backward compatibility.
12/17/2009 04:24:24 PM ricardo (at) wenn (dot) com Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ingo
Summary ⇒ Sieve filter updates to features
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Ive had to update my Lib/Script/sieve.php so that it correctly applied 
imap4flags instead of imapflags.

This should mabey be a toggle option depending on what version of 
software people are using.

Taken from http://wiki.dovecot.org/LDA/Sieve

Note that the CMU Sieve plugin implements an older specification of 
the enotify extension which was called notify. Something similar is 
true for the imap4flags extension, which was known as imapflags for 
CMU Sieve. For backwards compatibility, Dovecot Sieve plugin also 
supports the old imapflags extension. The most valuable extension that 
the new Sieve implementation adds to the list is the variables 
extension. As the name implies, this adds support for variables to the 
language.